Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226209 - python-hypothesis: FTBFS in Fedora rawhide/f39
Summary: python-hypothesis: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-hypothesis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:21 UTC by Fedora Release Engineering
Modified: 2023-08-01 16:00 UTC (History)
6 users (show)

Fixed In Version: python-hypothesis-6.82.0-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-01 16:00:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 19:21 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 19:21 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 19:21 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 19:21:34 UTC
python-hypothesis failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103684073


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-hypothesis at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-hypothesis will be orphaned. Before branching of Fedora 40,
python-hypothesis will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:21:44 UTC
Created attachment 1979020 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 19:21:49 UTC
Created attachment 1979021 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:21:52 UTC
Created attachment 1979022 [details]
state.log

Comment 4 Michel Lind 2023-07-31 17:12:02 UTC
With the latest release, one extra test fails (while with the currently packaged release more tests are failing).

The Arch packager already reported it, so listing the issue https://github.com/HypothesisWorks/hypothesis/issues/3704 and we can remove the deselect when that is fixed in the future. Putting up a PR as soon as my scratch build is done

(we already deselected the other test reported on that issue, but I could not find a matching issue, so now both are documented)

Comment 6 Fedora Update System 2023-08-01 15:59:41 UTC
FEDORA-2023-b55b8f023f has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b55b8f023f

Comment 7 Fedora Update System 2023-08-01 16:00:09 UTC
FEDORA-2023-b55b8f023f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.